Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.filter.osis
Class OSISFilter

    java.lang.Object
      org.crosswire.jsword.book.filter.osis.OSISFilter

All Implemented Interfaces:
  Filter

    public class OSISFilter

extends Object
implements Filter

Filter to convert an OSIS XML string to OSIS format.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: OSISFilter.java,v 1.13 2005/03/06 18:13:28 dmsmith Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Field Summary
`private org.jdom.input.SAXBuilder` | `builder` The JDOM parser
`private static Logger` | `log` The log stream

Constructor Summary
`OSISFilter()`

Method Summary
`private org.jdom.Element` | `parse(String plain)` If the string is invalid then we might want to have more than one crack at parsing it
`List` | `toOSIS(Key key, String plain)` Converter from plain (encoded) text to OSIS data

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### builder

    private org.jdom.input.SAXBuilder builder

  The JDOM parser

### log

    private static final Logger log

  The log stream

Constructor Detail

### OSISFilter

    public OSISFilter()

Method Detail

### toOSIS

    public List toOSIS(Key key,
                       String plain)
                throws FilterException

  Description copied from interface: `Filter`
  Converter from plain (encoded) text to OSIS data

  Specified by:
    `toOSIS` in interface `Filter`
  Parameters:
    `key` - The key for the text
    `plain` - The encoded text
  Returns:
    a List of OSIS Elements
  Throws:
    `FilterException`

### parse

    private org.jdom.Element parse(String plain)
                            throws org.jdom.JDOMException,
                                   IOException

  If the string is invalid then we might want to have more than one crack at parsing it

  Throws:
    `org.jdom.JDOMException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD